﻿using Syncfusion.Windows.Shared;
using System.Collections.ObjectModel;
using System.Windows;

namespace ClientUIThemesWPF
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : ChromelessWindow
    {
        public MainWindow()
        {


            list.Add(new TestObject() { TestName = "Test 1", TestNr = 1 });
            list.Add(new TestObject() { TestName = "Test 2", TestNr = 2 });
            list.Add(new TestObject() { TestName = "Test 3", TestNr = 3, IsTrue = true });
            list.Add(new TestObject() { TestName = "Test 4", TestNr = 4 });
            list.Add(new TestObject() { TestName = "Test 5", TestNr = 5, IsTrue = true });

            InitializeComponent();

            this.DataContext = this;
            testgrid.ItemsSource = this.list;


            //var result = DependencyPropertyHelper.GetValueSource(this, ChromelessWindow.CornerRadiusProperty);
            //result = DependencyPropertyHelper.GetValueSource(this, ChromelessWindow.BackgroundProperty);

            //result = DependencyPropertyHelper.GetValueSource(datetimeedit, DateTimeEdit.StyleProperty);

            

            //result = DependencyPropertyHelper.GetValueSource(this.testbutton, Button.StyleProperty);

            //Style style = this.FindResource("DefaultChromelessWindowStyle") as Style;
            //this.Style = style;

        }


        public ObservableCollection<TestObject> list = new ObservableCollection<TestObject>();

        private void Button_ClickPlus(object sender, RoutedEventArgs e)
        {
            if (progressbar.Value >= 96)
                return;


            progressbar.Value += 5;
        }

        private void Button_ClickMinus(object sender, RoutedEventArgs e)
        {
            if (progressbar.Value <= 4)
                return;

            progressbar.Value -= 5;
        }
    }

    public class TestObject
    {
        public int TestNr { get; set; }
        public string TestName { get; set; }
        public bool IsTrue { get; set; }

    }

}
